aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libgweather/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-01-22 22:56:46 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-01-22 22:56:46 -0600
commitefc699ce746d958120854d959272c9565b278938 (patch)
tree3bf3dcd7e4d1178ac450675cc5b5393021658816 /testing/libgweather/APKBUILD
parent54afa0049921c8d9a4b5a2aae0d5d7c28916179f (diff)
downloadaports-efc699ce746d958120854d959272c9565b278938.tar.gz
aports-efc699ce746d958120854d959272c9565b278938.tar.bz2
aports-efc699ce746d958120854d959272c9565b278938.tar.xz
testing/libgweather: new aport
Diffstat (limited to 'testing/libgweather/APKBUILD')
-rw-r--r--testing/libgweather/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/libgweather/APKBUILD b/testing/libgweather/APKBUILD
new file mode 100644
index 0000000000..7d0019a918
--- /dev/null
+++ b/testing/libgweather/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=libgweather
+pkgver=2.30.3
+pkgrel=0
+pkgdesc="GNOME weather library"
+url="http://www.gnome.org/"
+arch="all"
+license="LGPL"
+depends=
+depends_dev="gtk+-dev libsoup-dev libxml2-dev gconf-dev"
+makedepends="$depends_dev"
+install="$pkgname.post-install $pkgname.pre-deinstall $pkgname.post-upgrade"
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.gnome.org/pub/GNOME/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-zoneinfo-dir=. \
+ --disable-scrollkeeper || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="bf6a0a05051341ecb250f332e3edfb88 libgweather-2.30.3.tar.bz2"